<?php
namespace Mastering\CustomRequest\Console\Command;


use Symfony\Component\Console\Command\Command;
use Symfony\Component\Console\Input\InputArgument;
use Symfony\Component\Console\Input\InputInterface;
use Symfony\Component\Console\Output\OutputInterface;
use Magento\Framework\Console\Cli;
use Mastering\CustomRequest\Model\CustomProduct;

class AddCustomProduct extends Command {

    const  INPUT_KEY_NAME = 'name';
    const  INPUT_KEY_HEIGHT = 'height';
    const  INPUT_KEY_WEIGHT = 'weight';
    private $customProduct ;

    public function __construct(CustomProduct $customProduct)
    {
        $this->customProduct = $customProduct ;
        parent::__construct();
    }

    protected function configure(): void
    {
        $this->setName('custom:product:add')
            ->addArgument(
                self::INPUT_KEY_NAME,
                InputArgument::REQUIRED,
                'product owner name'
            )
            ->addArgument(
                self::INPUT_KEY_HEIGHT,
                InputArgument::REQUIRED,
                'product owner height'
            )
            ->addArgument(
                self::INPUT_KEY_WEIGHT,
                InputArgument::REQUIRED,
                'product owner weight'
            );
        parent::configure();
    }

    protected function execute(InputInterface $input, OutputInterface $output)
    {
        parent::execute($input, $output); // TODO: Change the autogenerated stub
    }

}
